Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsdesc
Class PropertiesDefinitionTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.owltable.AbstractOWLTableModel
              edu.stanford.smi.protegex.owl.ui.clsdesc.PropertiesDefinitionTableModel

All Implemented Interfaces:
  OWLTableModel, SymbolTableModel, Serializable, TableModel

    public class PropertiesDefinitionTableModel

extends AbstractOWLTableModel

A ClassDescriptionTableModel that displays those parts of a class definition that are not restrictions. This implementation assumes that the edited class is a defined class.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PropertiesDefinitionTableModel()`

Method Summary
`boolean` | `addRow(RDFSClass aClass, int selectedRow)`
`protected void` | `addRows()` This method completely fills the whole table and assumes that the rows list is empty.
`void` | `deleteRow(int index)` Deletes the superclass in a given row.
`protected int` | `getInsertRowIndex(edu.stanford.smi.protege.model.Cls cls)`
`RDFProperty` | `getPredicate(int row)`
`boolean` | `isDeleteEnabledFor(RDFSClass cls)`
`boolean` | `isRemoveEnabledFor(edu.stanford.smi.protege.model.Cls cls)`
`protected boolean` | `isSuitable(edu.stanford.smi.protege.model.Cls cls)` Checks whether a given superclass shall be displayed or not.
`protected void` | `setValueAt(int rowIndex, OWLModel owlModel, String parsableText)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.owltable.AbstractOWLTableModel
`addEmptyRow, displaySemanticError, dispose, getClass, getClassRow, getColumnClass, getColumnCount, getColumnName, getEditedCls, getIcon, getRDFResource, getRowCount, getSubject, getSymbolColumnIndex, getValueAt, insertRow, isAddEnabledAt, isCellEditable, isEditable, refill, removeEmptyRow, setCls, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.owltable.OWLTableModel
`addEmptyRow, displaySemanticError, dispose, getClass, getClassRow, getEditedCls, isAddEnabledAt, isEditable, removeEmptyRow, setCls`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.owltable.SymbolTableModel
`getIcon, getRDFResource, getSubject, getSymbolColumnIndex`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

Constructor Detail

### PropertiesDefinitionTableModel

    public PropertiesDefinitionTableModel()

Method Detail

### addRow

    public boolean addRow(RDFSClass aClass,
                          int selectedRow)

  Specified by:
    `addRow` in interface `OWLTableModel`

### addRows

    protected void addRows()

  Description copied from class: `AbstractOWLTableModel`
  This method completely fills the whole table and assumes that the rows list is empty.

  Overrides:
    `addRows` in class `AbstractOWLTableModel`

### deleteRow

    public void deleteRow(int index)

  Description copied from class: `AbstractOWLTableModel`
  Deletes the superclass in a given row. This method does not only change the table contents but also modifies the underlying ontology. The method completely removes the superclass from the ontology if it was an anonymous class.

  Specified by:
    `deleteRow` in interface `OWLTableModel`
  Overrides:
    `deleteRow` in class `AbstractOWLTableModel`
  Parameters:
    `index` - the index of the row to delete

### getInsertRowIndex

    protected int getInsertRowIndex(edu.stanford.smi.protege.model.Cls cls)

  Specified by:
    `getInsertRowIndex` in class `AbstractOWLTableModel`

### getPredicate

    public RDFProperty getPredicate(int row)

  Specified by:
    `getPredicate` in interface `SymbolTableModel`

### isDeleteEnabledFor

    public boolean isDeleteEnabledFor(RDFSClass cls)

  Specified by:
    `isDeleteEnabledFor` in interface `OWLTableModel`

### isRemoveEnabledFor

    public boolean isRemoveEnabledFor(edu.stanford.smi.protege.model.Cls cls)

### isSuitable

    protected boolean isSuitable(edu.stanford.smi.protege.model.Cls cls)

  Description copied from class: `AbstractOWLTableModel`
  Checks whether a given superclass shall be displayed or not.

  Specified by:
    `isSuitable` in class `AbstractOWLTableModel`
  Parameters:
    `cls` - the superclass to test
  Returns:
    true if the cls shall be listed in this table

### setValueAt

    protected void setValueAt(int rowIndex,
                              OWLModel owlModel,
                              String parsableText)
                       throws Exception

  Specified by:
    `setValueAt` in class `AbstractOWLTableModel`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.